package org.etsi.its.uppertester.yes;

import org.etsi.its.codec.TestAdapterMessageTypeEnum;
import org.etsi.its.uppertester.IBtpUpperTester;
import org.etsi.its.uppertester.ICamUpperTester;
import org.etsi.its.uppertester.IDenmUpperTester;
import org.etsi.its.uppertester.IGnUpperTester;

public class ItsUpperTester implements ICamUpperTester, IBtpUpperTester, IDenmUpperTester, IGnUpperTester {
    
    @Override
    public boolean changeCurvature(int curvature) {  
        return true;
    }

    @Override
    public boolean changeHeading(int direction) {
        return true;
    }

    @Override
    public boolean changePosition(int distance) {
        return true;
    }

    @Override
    public boolean changeSpeed(int variation) {
        return true;
    }

    @Override
    public boolean checkLdm(byte[] camPdu) {
        return true;
    }

    @Override
    public boolean initialize(final String settings) {
        return true;
    }

    @Override
    public boolean uninitialize() {
        return true;
    }

    @Override
    public boolean setCrashSignal(boolean crashed) {
        return true;
    }

    @Override
    public boolean setDangerousGoodsStatus(int dangerousGoodsStatus) {
        return true;
    }

    @Override
    public boolean setDistanceToStopLine(int distance) {
        return true;
    }

    @Override
    public boolean setDoorStatus(byte doorStatus) {
        return true;
    }

    @Override
    public boolean setExteriorLightsStatus(byte lightStatus) {
        return true;
    }

    @Override
    public boolean setLengthWidthPrecision(boolean lengthWidthPrecision) {
        return true;
    }

    @Override
    public boolean setLightBarStatus(short status) {
        return true;
    }

    @Override
    public boolean setOccupancy(int occupancy) {
        return true;
    }

    @Override
    public boolean setPtLineDescription(String courseOfJourney, String lineRef, String routeRef) {
        return true;
    }

    @Override
    public boolean setScheduleDeviation(int delay) {
        return true;
    }

    @Override
    public boolean setSireneStatus(short status) {
        return true;
    }

    @Override
    public boolean setTrafficLightPriority(short priority) {
        return true;
    }

    @Override
    public boolean setTurnAdvice(int direction, int distance) {
        return true;
    }

    @Override
    public boolean generateDenmEvent(DenmEvent denmEvent) {
        return true;
    }

    @Override
    public boolean generateDenmEvent(DenmEvent denmEvent, short trafficFlowEffect) {
        return true;
    }

    @Override
    public boolean generateDenmEvent(DenmEvent denmEvent, TestAdapterMessageTypeEnum type, int eventSeverity) {
        return true;
    }

    @Override
    public boolean generateDenmEvent(DenmEvent denmEvent, DenmEvent linkedDenmEvent) {
        return true;
    }

    @Override
    public boolean generateDenmEvent(DenmEvent denmEvent, long expirationTime) {
        return true;
    }

    @Override
    public boolean generateDenmEvent(DenmEvent denmEvent, long expirationTime, short frequency) {
        return true;
    }

    @Override
    public boolean generateDenmEvent(DenmEvent denmEvent, boolean mobile, short causeType, short relevance, boolean timeCritical) {
        return true;
    }

    @Override
    public boolean generateDenmEventCancellation(DenmEvent denmEvent, ActionId actionId) {
        return true;
    }

    @Override
    public boolean generateDenmEventNegation(DenmEvent denmEvent, ActionId actionId) {
        return true;
    }

    @Override
    public boolean updateDenmEvent(DenmEvent denmEvent, ActionId actionId, long expiryTime) {
        return true;
    }

    @Override
    public boolean checkDenmEvent(byte[] denmPdu) {
        return true;
    }

    @Override
    public boolean changePosition() {
        return true;
    }

    @Override
    public boolean checkPacket(byte[] packet) {
        return true;
    }

    @Override
    public boolean generateGeoAnycast(short shape, int latitude, int longitude, short distanceA, short distanceB, short angle, short lifetime, byte[] payload) {
        return true;
    }

    @Override
    public boolean generateGeoBroadcast(short shape, int latitude, int longitude, short distanceA, short distanceB, short angle, short lifetime, byte[] payload) {
        return true;
    }

    @Override
    public boolean generateGeoUnicast(byte[] gnAddress, short lifetime, byte[] payload) {
        return true;
    }

    @Override
    public boolean generateShb(byte[] payload) {
        return true;
    }

    @Override
    public boolean generateTsb(byte[] payload, short nbHops) {
        return true;
    }

    @Override
    public boolean checkPayload(byte[] payload) {
        return true;
    }

    @Override
    public boolean generateBtpA(int destinationPort, int sourcePort) {
        return true;
    }

    @Override
    public boolean generateBtpB(int destinationPort, int destinationPortInfo) {
        return true;
    }

}
